// $Header: README,v 2.4 89/06/20 17:12:01 vern Exp $

This is release 2.1 of flex - a beta release.

The flex distribution consists of the following files:

	README		This message

	Makefile
	flexdef.h
	parse.y
	scan.l
	ccl.c
	dfa.c
	ecs.c		flex sources
	gen.c
	main.c
	misc.c
	nfa.c
	sym.c
	tblcmp.c
	yylex.c

	initscan.c	pre-flex'd version of scan.l

	flex.skel	skeleton for generated scanners

	flex.1		manual entry

	Changes		Differences between this release and the previous one
	COPYING		flex's copyright
	MISC		miscellaneous stuff (e.g., old VMS Makefile) which
			almost no one will care about


If you have installed a previous version of flex, delete it (after making
backups, of course).  This will entail removing the source directory,
/usr/include/{flexskelcom,fastskeldef,flexskeldef}.h, and
/usr/local/lib/flex.{skel,fastskel}, if that's where you put the various
pieces.


Decide where you want to keep flex.skel (suggestion:  /usr/local/lib) and
move it there.  Edit "Makefile" and change the definition of SKELETON_FILE
to reflect the full pathname of flex.skel.

Read the "Porting considerations" note in the Makefile and make
the necessary changes.


To make flex for the first time, use:

    make first_flex

which uses the pre-generated copy of the flex scanner (the scanner
itself is written using flex).

Assuming it builds successfully, you can test it using

    make test

The "diff" should not show any differences.

If you're feeling adventurous, rebuild scan.c using various
combinations of FLEX_FLAGS, each time trying "make test" when
you're done.  To rebuild it, do

	rm scan.c
	make FLEX_FLAGS="..."

where "..." is one of:

	-c
	-ce
	-cm
	-cfe
	-cFe

and testing using:

	make FLEX_FLAGS="..." test


Format the manual entry using

	make flex.man


Please send problems and feedback to:

	vern@{csam.lbl.gov,rtsg.ee.lbl.gov}  or  ucbvax!csam.lbl.gov!vern

	Vern Paxson
	Real Time Systems
	Bldg. 46A
	Lawrence Berkeley Laboratory
	1 Cyclotron Rd.
	Berkeley, CA 94720

	(415) 486-6411


I will be gone from mid-July '89 through mid-August '89.  From August on,
the addresses are:

	vern@cs.cornell.edu	(email sent to the former addresses should
				 continue to be forwarded for quite a while)
				(if I'm unlucky, you'll have to send mail
				 to "paxson@cs.cornell.edu", so try that if
				 the first doesn't work)

	Vern Paxson
	CS Department
	Grad Office
	4126 Upson
	Cornell University
	Ithaca, NY 14853-7501

	<no phone number yet>
